#if !defined(AFX_OBJECTSETDLG_H__B489B3D3_576F_4E60_BF41_45652B24B41A__INCLUDED_)
#define AFX_OBJECTSETDLG_H__B489B3D3_576F_4E60_BF41_45652B24B41A__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// ObjectSetDlg.h : header file
//

#include "ObjectChild.h"

/////////////////////////////////////////////////////////////////////////////
// CObjectSetDlg dialog

class CObjectSetDlg : public CDialog
{
// Construction
public:
	CObjectSetDlg(CWnd* pParent = NULL);   // standard constructor

	CObjectChild *		m_pObject;
	D3DXVECTOR3 vTempVel;
	D3DXVECTOR3 vTempUp;

// Dialog Data
	//{{AFX_DATA(CObjectSetDlg)
	enum { IDD = IDD_DIALOG_OBJECTSET };
	CSliderCtrl	m_sliderSide;
	CSliderCtrl	m_sliderUp;
	CSliderCtrl	m_sliderTarget;
	int		m_editArea;
	CString	m_strObjectname;
	CString	m_strPosition;
	float	m_editPosX;
	float	m_editPosY;
	float	m_editPosZ;
	CString	m_strTarget;
	CString	m_strUp;
	BOOL	m_bHeight;
	BOOL	m_bAlpha;
	BOOL	m_bMoveRotation;
	float	m_editMoveObject;
	BOOL	m_checkMoveObject;
	float	m_fAngleSide;
	float	m_fAngleTarget;
	float	m_fAngleUp;
	//}}AFX_DATA

	void ObjectSelect(CObjectChild *pObj);
	void SetRenderState();
	void SetData();

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CObjectSetDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation

protected:

	// Generated message map functions
	//{{AFX_MSG(CObjectSetDlg)
	afx_msg void OnChangeEditPosx();
	afx_msg void OnChangeEditPosy();
	afx_msg void OnChangeEditPosz();
	afx_msg void OnCheckHeight();
	virtual void OnCancel();
	virtual void OnOK();
	afx_msg void OnReleasedcaptureSliderTarget(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnReleasedcaptureSliderUp(NMHDR* pNMHDR, LRESULT* pResult);
	virtual BOOL OnInitDialog();
	afx_msg void OnButtonDefault();
	afx_msg void OnCheckAlpha();
	afx_msg void OnCheckMoverotation();
	afx_msg void OnButtonSetnormal();
	afx_msg void OnChangeEditMoveObject();
	afx_msg void OnCheckMoveObject();
	afx_msg void OnChangeEditTargetx();
	afx_msg void OnChangeEditTargety();
	afx_msg void OnChangeEditTargetz();
	afx_msg void OnChangeEditAngleTarget();
	afx_msg void OnChangeEditAngleUp();
	afx_msg void OnChangeEditAngleSide();
	afx_msg void OnReleasedcaptureSliderSide(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnButtonInfo();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_OBJECTSETDLG_H__B489B3D3_576F_4E60_BF41_45652B24B41A__INCLUDED_)
